/*! 
    \file event.h
    \brief an abstract event

*/

#ifndef _EVENT_H
#define _EVENT_H


#include "base_object.h"
#include "event_def.h"


//! An abstract event class
class Event : public BaseObject {

 public:
  Event();
  virtual ~Event();


 private:
  int offset;                      //!< offset in the event type array
  char cmd[CMD_LENGHT];            //!< the command delivered
  bool bPressed;                   //!< is true, if the button/mouse was pressed, false if released
       
  Uint16 x, y;                     //!< x and y coordinates
  Sint16 xRel, yRel;               //!< relative x and y movement to last point

};

#endif /* _EVENT_H */
